/* f1 form standard css */
.f1t-form-field__label {
    display: none;
}

.f1t-form {
    width: 100%;
    color: black;
}

.f1t-form label {
    width: 100%;
}


.iti__selected-dial-code {
    color: black;
}

#myModal .f1t-form {
    width: 100%;
    margin-left: 0;
}

.f1t-form-field input {
    height: 42px;
    font-size: 15px;
    width: 100%;
    position: relative;
    border: 1px solid #ced4da;
    -webkit-box-shadow: none;
    box-shadow: none;
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
    padding-left: 15px;
    margin-bottom: 0.5rem;
}

.email-suggestions {
  list-style: none;
  padding: 0;
  margin: 0;
  border: 1px solid #ddd;
  background: #fff;
  position: absolute; /* Make sure it's positioned relative to the input */
  width: calc(100% - 19px); /* Adjust width to match the input */
  z-index: 9999; /* Ensure it appears above other elements */
  border-radius: 2px;
  font-size: 1rem;
  font-weight: 400;
  max-height: 200px;
  overflow-y: auto;
}


.email-suggestions li {
  padding: 8px;
  cursor: pointer;
}

.email-suggestions li:hover {
  background-color: #e7e7e7;
}

video {
    width: 100%;
}

.f1t-modal {
    z-index: 99999;
    background-color: rgba(0, 0, 0, 0.5);
}

.form-wrap {
    height: 450px;
}

.iti__selected-flag {
    color: #fff;
}


.f1t-form-loader:before {
    opacity: 1
}

.congratulations {
    background: #fff;
    height: 295px;
    display: none;
}

#congrat_container {
    padding: 0 10px;
}

.iti {
    width: 100%;
}

.f1t-form-loader {
    position: relative;
    margin-bottom: 200px;
    /* Ensure the position is relative for absolute positioning of the spinner */
}

.f1t-form-loader::after {
    content: '';
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    /* Position the spinner at the center vertically */
    left: 50%;
    /* Position the spinner at the center horizontally */
    width: 90px;
    /* Adjust the width of the spinner */
    height: 90px;
    margin-top: 45px;
    /* Half of the height to center vertically */
    margin-left: -45px;
    /* Adjust the height of the spinner */
    border-radius: 50%;
    border: 3px solid #ccc;
    /* Adjust the color and thickness of the spinner */
    border-top-color: #000;
    /* Adjust the color of the spinner */
    animation: spin 1s linear infinite;
    /* Apply the spinning animation */
}

@keyframes spin {
    to {
        transform: rotate(360deg);
        /* Rotate the spinner 360 degrees */
    }
}

.Immaediate-Earnings {
    font-size: 18px;
    font-weight: 300;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #ffffff;
    margin-bottom: 20px;
}

form {
    position: relative;
    top: auto;
}

.f1t-form {
    padding: 0 10px 10px 10px;
}

.f1t-form-field__label {
    font-size: 12px;
    margin-bottom: 5px;
    display: none;
}

.fixed-form .f1t-form-field__label {
    color: #fff;
    opacity: 0.5;
}



.f1t-form {
    text-align: left;
}

.bottom-form .f1t-form__submit {
    background-color: #2775d4;
}


.f1t-form-field__label {
    color: #ffffff;
    font-size: 12px;
    margin-bottom: 5px;
}

.f1t-form-field__error {
    font-size: 12px;
    margin-top: 5px;
}

.f1t-form-field label {
    display: block;
}

.f1t-form-field input, .f1t-form-field textarea, .f1t-form-field select {
    background-color: #fff;
    color: #000;
    font-size: 16px;
    line-height: 42px;
    width: 100%;
    box-sizing: border-box;
    margin: 0;
    border: 1px solid #ddd;
    height: 50px;
    padding: 10px;
    border-radius: 2px;
    font-weight: 400;
    transition: all .3s ease;
}

.f1t-form-field input:focus, .f1t-form-field textarea:focus, .f1t-form-field select:focus,
.f1t-form-field input:hover, .f1t-form-field textarea:hover, .f1t-form-field select:hover {
    border-color: #f89b08;
}

.f1t-form-field--error input, .f1t-form-field--error textarea, .f1t-form-field--error select {
    border-color: red;
}

/*
.f1t-form__footer {
    margin-top: 20px;
}
*/

.f1t-form-field--phone input {
    padding-right: 6px;
    padding-left: 52px;
}


.f1t-form-field__label {
    font-weight: 400;
}

.f1t-form-field--password .f1t-form-field__generate {
    height: 50px;
    border-radius: 2px;
    color: #fff;
    background-color: #7ed321;
}

.f1t-form-field--password .f1t-form-field__generate:hover {
    opacity: 0.8;
}

.f1t-form-field--password .f1t-form-field__generate:active {
    opacity: 1;
}
:root {
    --iti-hover-color: rgba(0, 0, 0, 0.05);
    --iti-text-gray: #999;
    --iti-border-gray: #ccc;
    --iti-spacer-horizontal: 8px;
    --iti-flag-height: 15px;
    --iti-flag-width: 20px;
    --iti-border-width: 1px;
    --iti-arrow-height: 4px;
    --iti-arrow-width: 6px;
    --iti-triangle-border: calc(var(--iti-arrow-width) / 2);
    --iti-arrow-padding: 6px;
    --iti-arrow-color: #555;
    --iti-input-padding: 6px;
    --iti-right-hand-selected-country-padding: calc(var(--iti-spacer-horizontal) + var(--iti-spacer-horizontal) + var(--iti-flag-width));
    --iti-selected-country-arrow-padding: calc(var(--iti-arrow-padding) + var(--iti-arrow-padding) + var(--iti-flag-width) + var(--iti-spacer-horizontal) + var(--iti-arrow-width) + var(--iti-input-padding));
    --iti-path-flags-1x: url(assets/flags..png);
    --iti-path-flags-2x: url(assets/flags@2x..png);
    --iti-path-globe-1x: url(assets/globe..png);
    --iti-path-globe-2x: url(assets/globe@2x..png);
    --iti-flag-sprite-width: 5762px;
    --iti-flag-sprite-height: 15px;
    --iti-mobile-popup-margin: 30px;
}